Package org.jboss.classfilewriter.constpool

## Class ConstPool

- java.lang.Object
- - org.jboss.classfilewriter.constpool.ConstPool

All Implemented Interfaces:
  `WritableEntry`

    public class ConstPool
    extends java.lang.Object
    implements WritableEntry

### Constructor Summary

Constructors
`ConstPool()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Integer` `addClassEntry​(java.lang.String className)` Adds a CONSTANT_Class_info to the const pool.
`java.lang.Integer` `addDoubleEntry​(double entry)`
`java.lang.Integer` `addFieldEntry​(java.lang.String className, java.lang.String fieldName, java.lang.String fieldType)`
`java.lang.Integer` `addFloatEntry​(float entry)`
`java.lang.Integer` `addIntegerEntry​(int entry)`
`java.lang.Integer` `addInterfaceMethodEntry​(java.lang.String className, java.lang.String methodName, java.lang.String descriptor)`
`java.lang.Integer` `addLongEntry​(long entry)`
`java.lang.Integer` `addMethodEntry​(java.lang.String className, java.lang.String methodName, java.lang.String descriptor)`
`java.lang.Integer` `addNameAndTypeEntry​(java.lang.String name, java.lang.String type)`
`java.lang.Integer` `addStringEntry​(java.lang.String string)` Adds a CONSTANT_String_info to the const pool.
`java.lang.Integer` `addUtf8Entry​(java.lang.String entry)`
`void` `write​(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstPool

    public ConstPool()

### Method Detail

#### addUtf8Entry

    public java.lang.Integer addUtf8Entry​(java.lang.String entry)

#### addClassEntry

    public java.lang.Integer addClassEntry​(java.lang.String className)

Adds a CONSTANT_Class_info to the const pool. This must be in internal form

#### addStringEntry

    public java.lang.Integer addStringEntry​(java.lang.String string)

Adds a CONSTANT_String_info to the const pool.

#### addIntegerEntry

    public java.lang.Integer addIntegerEntry​(int entry)

#### addFloatEntry

    public java.lang.Integer addFloatEntry​(float entry)

#### addLongEntry

    public java.lang.Integer addLongEntry​(long entry)

#### addDoubleEntry

    public java.lang.Integer addDoubleEntry​(double entry)

#### addNameAndTypeEntry

    public java.lang.Integer addNameAndTypeEntry​(java.lang.String name,
                                                 java.lang.String type)

#### addFieldEntry

    public java.lang.Integer addFieldEntry​(java.lang.String className,
                                           java.lang.String fieldName,
                                           java.lang.String fieldType)

#### addMethodEntry

    public java.lang.Integer addMethodEntry​(java.lang.String className,
                                            java.lang.String methodName,
                                            java.lang.String descriptor)

#### addInterfaceMethodEntry

    public java.lang.Integer addInterfaceMethodEntry​(java.lang.String className,
                                                     java.lang.String methodName,
                                                     java.lang.String descriptor)

#### write

    public void write​(ByteArrayDataOutputStream stream)
               throws java.io.IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `java.io.IOException`